cURL
curl --request POST \ --url https://api.helloannie.com/v1/phone-numbers/verified-caller-ids \ --header 'Content-Type: application/json' \ --data ' { "phoneNumber": "<string>", "friendlyName": "<string>" } '
{ "success": true, "data": { "verifiedCallerId": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "phoneNumber": "<string>", "friendlyName": "<string>", "status": "PENDING", "verificationStartedAt": "2023-11-07T05:31:56Z", "verifiedAt": "2023-11-07T05:31:56Z" }, "validationCode": "<string>" }, "message": "<string>" }
Start the verification process for a phone number. Twilio will call the phone number and ask for a 6-digit validation code.
Payload to start phone number verification via Twilio
Phone number to verify in E.164 format (+1XXXXXXXXXX)
Friendly name displayed by carriers when using this caller ID. Maximum 64 characters.
1 - 64
Response after starting verification. Includes validation code to enter during the Twilio call.
true
Show child attributes